eclipse下hadoop配置

原创 2012年03月26日 20:35:28

弄了一天,终于搞定了。记录一下。

只是处于入门阶段,所以很多东西都不知道原因。只能说我是怎么做的。

以前配置好的hadoop的环境,用的是hadoop 0.20.203版本。单机版,伪分布式,集群都实验成功。

用的是gentoo系统,刚开始用的是eclipse3.5版本,可是按照

Hadoop学习全程记录——在Eclipse中运行第一个MapReduce程序 

说的做了后,出现了

An internal error occurred during: “Connecting to DFS local”. org/apache/commons/configuration/Configuration”. 之类的错误

于是找到

Hadoop的简单配置以及与Eclipse的整合 这篇文章

可是我自己制作了插件后,还是不能连接文件系统,我又将hadoop版本换成hadoop-0.20.2,这次eclipse连插件都不能识别了。将hadoop改为原来的版本后,还是不能识别。很无奈。


网上说可能是eclipse和hadoop的版本不合的问题,于是又尝试了eclipse的各种版本和hadoop各种版本的组合。最后终于试成功了。


hadoop版本:hadoop-0.20.2 

下载地址:http://labs.mop.com/apache-mirror//hadoop/common/hadoop-0.20.2/

eclipse版本:eclipse-jee-indigo-linux-gtk-x86_64.tar.gz

下载地址:http://www.eclipse.org/downloads/download.php?file=/technology/epp/downloads/release/indigo/R/eclipse-jee-indigo-linux-gtk-x86_64.tar.gz


备注:

1:感觉插件的名字似乎也是很重要的,变了插件后,eclipse就不识别了。

2:

Eclipse 3.6 版本代号 Helios 【太阳神】[2010年6月发布正式版]
Eclipse 3.7 版本代号 Indigo 【靛青】[今年6月发布的正式版]
之前版本的名字有
Eclipse 3.1 版本代号 IO 【木卫1,伊奥】 
Eclipse 3.2 版本代号 Callisto 【木卫四,卡里斯托 】 
Eclipse 3.3 版本代号 Eruopa 【木卫二,欧罗巴 】 
Eclipse 3.4 版本代号 Ganymede 【木卫三,盖尼米德 】 
Eclipse 3.5 版本代号 Galileo 【伽利略】
3:

eclipse 实验的版本有

eclipse-jee-indigo-linux-gtk-x86_64.tar.gz
eclipse-java-indigo-SR2-linux-gtk-x86_64.tar.gz

dev-util/eclipse-sdk   3.5.1-r1(自带)



~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

eclipse 与hadoop-1.0.0

今天终于搞定了eclipse与hadoop-1.0.0的配置,前一段时间也弄过一次,成功配置了eclipse-jee-indigo-linux-gtk-x86_64 与 hadoop-0.20.2.可是0.20.2版本太老了,在eclipse下老显示不建议使用。而且程序写的很混乱。

又搜了一下,找到了hadoop-eclipse-plugin-1.0.0.jar(修改后) 

配置成功了,有一种得来全不费功夫的感觉。

配置Hadoop开发环境(Eclipse)

Hadop 2.2.0 Eclipse开发环境配置
  • zythy
  • zythy
  • 2013年12月18日 16:43
  • 54892

在Eclipse中运行、配置Hadoop

版权所有: zhe-jiang.he@hp.com  严禁转载! 1.安装插件 准备程序: eclipse-3.3.2(这个版本的插件只能用这个版本的eclipse) hadoop-0...
  • u011340807
  • u011340807
  • 2014年05月16日 13:34
  • 1321

Hadoop学习2_Hadoop完全分布式的Eclipse开发环境配置

Hadoop安全分布式的Eclipse开发环境配置   安装Eclipse: 详细见教程:http://blog.csdn.net/wang_zhenwei/article/details/48032...
  • wang_zhenwei
  • wang_zhenwei
  • 2015年08月28日 15:55
  • 1818

使用Eclipse搭建Hadoop编程环境

在前人的基础上,进行总结学习,发现bug,修改bug 系统平台:Ubuntu14.04TLS(64位) Hadoop环境:Hadoop2.7.1 Eclipse:Neon.2 Release(4.6....
  • XX_123_1_RJ
  • XX_123_1_RJ
  • 2017年03月18日 15:23
  • 2479

一步一步跟我学习hadoop(2)----hadoop eclipse插件安装和运行wordcount程序

本博客hadoop版本是hadoop  0.20.2。 安装hadoop-0.20.2-eclipse-plugin.jar 下载hadoop-0.20.2-eclipse-plugin.ja...
  • wuyinggui10000
  • wuyinggui10000
  • 2015年07月08日 00:03
  • 2024

Hadoop集群(第7期)_Eclipse开发环境设置

1、Hadoop开发环境简介 1.1 Hadoop集群简介   Java版本:jdk-6u31-linux-i586.bin   Linux系统:CentOS6.0   Had...
  • u014677702
  • u014677702
  • 2016年11月22日 21:45
  • 584

hadoop 开发调试环境-eclipse配置记录

一 目标     基于前面安装的hadoop单机伪分布环境安装配置eclipse和eclipse hadoop 插件,并运行wordcount程序检验是否正确。参考了网上的资料。 二  配置过程 ...
  • hjh00
  • hjh00
  • 2016年07月19日 19:58
  • 979

Ubuntu系统下使用eclipse搭建Hadoop2.7.1运行环境

一、安装eclipse 从eclipse官网下载安装文件eclipse downloads,得到eclipse installer,可选择需要的版本安装到本地,搭建hadoop环境选择IDE for ...
  • cuihaolong
  • cuihaolong
  • 2016年06月12日 07:12
  • 1444

[2015/11/22] Hadoop的一些配置 和 Eclipse导入Hadoop工程步骤 -自用-

0 一些闲话 这几天真的是煎熬,煎熬,煎熬。除了这两个字我真的没啥好说的。除了调Bug之外,最痛苦的莫过于配置!配置!配置!!!呵呵呵呵呵呵!而且还是在Linux系统下配置!虚拟机的Linux系统!...
  • Moplast_Cat
  • Moplast_Cat
  • 2015年11月22日 20:04
  • 1026

在Windows上使用Eclipse配置Hadoop MapReduce开发环境

在Windows上使用Eclipse配置Hadoop MapReduce开发环境1. 系统环境及所需文件 windows 8.1 64bit Eclipse (Version: Luna Releas...
  • yew1eb
  • yew1eb
  • 2015年05月19日 15:27
  • 6763
内容举报
返回顶部
收藏助手
不良信息举报
您举报文章:eclipse下hadoop配置
举报原因:
原因补充:

(最多只允许输入30个字)